MCP Tools Reference: ces.googleapis.com

工具:delete_app_version

刪除指定的應用程式版本。

下列範例示範如何使用 curl 叫用 delete_app_version MCP 工具。

Curl 要求
                  
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_app_version",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

輸入內容的結構定義

AgentService.DeleteAppVersion 的要求訊息。

DeleteAppVersionRequest

JSON 表示法
{
  "name": string,
  "etag": string
}
欄位
name

string

這是必要旗標,要刪除的應用程式版本資源名稱。

etag

string

選用。應用程式版本的目前 ETag。如果未提供 etag,刪除作業會覆寫任何並行變更。如果提供 ETag,但與應用程式版本的目前 ETag 不符,系統會封鎖刪除作業,並傳回 ABORTED 錯誤。

輸出內容的結構定義

您可以重複使用這個一般空白訊息,避免在 API 中定義重複的空白訊息。常見的例子是將其做為 API 方法的要求或回應類型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具註解

破壞性提示:✅ | 等冪提示:❌ | 唯讀提示:❌ | 開放世界提示:❌